%global pypi_name xstatic
%global srcname XStatic

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        %mkrel 3
Summary:        XStatic base package with minimal support code
Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/thomaswaldmann/xstatic
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The goal of XStatic family of packages is to provide static file packages with
minimal overhead - without selling you some dependencies you don't want.

XStatic has some minimal support code for working with the XStatic-* packages.

%package -n python3-%{pypi_name}
Summary:       XStatic base package with minimal support code
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:     python3-XStatic < 1.0.3

%description -n python3-%{pypi_name}
The goal of XStatic family of packages is to provide static file packages with
minimal overhead - without selling you some dependencies you don't want.

XStatic has some minimal support code for working with the XStatic-* packages.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitelib}/XStatic-%{version}-py%{python3_version}-nspkg.pth

mkdir %{buildroot}/%{python3_sitelib}/xstatic/pkg

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.3-3.mga10
+ Revision: 2239284
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.0.3-2.mga10
+ Revision: 2156345
- rebuild for python3.13

* Sat Jan 20 2024 wally <wally> 1.0.3-1.mga10
+ Revision: 2032676
- rename src pkg as python-xstatic
- new version 1.0.3

* Sun Dec 04 2022 danf <danf> 1.0.1-5.mga10
+ Revision: 1916889
+ rebuild (emptylog)

* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-5.mga9
+ Revision: 1822388
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 neoclust <neoclust> 1.0.1-4.mga9
+ Revision: 1773408
- rebuild for python 3.10

* Sat Jun 26 2021 tmb <tmb> 1.0.1-3.mga9
+ Revision: 1733707
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 1.0.1-2.mga9
+ Revision: 1732975
- Rebuild for python 3.9

* Fri May 15 2020 joequant <joequant> 1.0.1-1.mga8
+ Revision: 1583870
- imported package python-XStatic

